Tryton - Issues

 

Issue8283

Title Push docker image after running tests
Priority feature Status resolved
Superseder Add proteus, Missing mock library on Docker <= 4.8, Skip tests relying on assert
View: 8480, 8493, 8381
Nosy List ced, reviewbot, roundup-bot
Type feature request Components
Assigned To ced Keywords Docker, review
Reviews 262561002
View: 262561002

Created on 2019-04-16.18:10:23 by ced, last changed by roundup-bot.

Messages
New changeset 4fafa1778bb1 by C├ędric Krier in branch 'default':
Run tests before pushing images
https://hg.tryton.org/tryton-docker/rev/4fafa1778bb1
review262561002 updated at https://codereview.tryton.org/262561002/#ps262571002
msg49889 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-28.18:45:23
I backported all the required changesets.
So we still need to fix test relying on assert and install proteus.
msg49085 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-17.12:59:31
Also proteus should be installed to run the scenario.
rev 0a69068bf926, rev a5b19cf0e349 and rev 34db55154a67 should be back-ported.

Another issue is that by default PYTHONOPTIMIZE is set to 1 so some tests are testing the asserts so they should be skip if we want to tests the image with the same running code.
msg49083 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-17.11:47:42
To be able to run the tests on the docker image we need to backport issue7963 for modules: product_cost_fifo, account_invoice_history, sale_invoice_grouping, sale_shipment_grouping, stock_supply_forecast.

The tests can be run with: TRYTOND_DATABASE_URI=sqlite:// python3 -m trytond.tests.run-tests -m
msg49074 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-16.18:10:22
It will be good to run the tests with the built image before publishing it. This would ensure no incompatible dependencies are used.
This would require to install sqlitebck but it is not a big trade-off.
History
Date User Action Args
2019-12-11 22:21:03roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg54453
2019-11-24 23:35:54reviewbotsetnosy: + reviewbot
messages: + msg53471
2019-11-24 23:32:32cedsetstatus: in-progress -> testing
reviews: 262561002
keyword: + Docker, review
2019-07-15 15:36:07cedsetsuperseder: + Missing mock library on Docker <= 4.8
2019-07-07 22:41:05cedsetsuperseder: + Add proteus
2019-05-28 19:53:19cedsetsuperseder: + Skip tests relying on assert
2019-05-28 18:45:24cedsetmessages: + msg49889
2019-04-17 12:59:58cedsetstatus: chatting -> in-progress
2019-04-17 12:59:31cedsetmessages: + msg49085
2019-04-17 11:47:42cedsetstatus: unread -> chatting
messages: + msg49083

Showing 10 items. Show all history (warning: this could be VERY long)